<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class CreateSectorRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'name' => 'required|string|max:50|unique:sectors,name',
            'slug' => 'sometimes|string|max:50|unique:sectors,slug',
        ];
    }

    public function messages(): array
    {
        return [
            'name.required' => 'O nome do setor é obrigatório',
            'name.max' => 'O nome do setor deve ter no máximo 50 caracteres',
            'slug.required' => 'O slug é obrigatório',
            'slug.max' => 'O slug deve ter no máximo 50 caracteres',
            'slug.unique' => 'O slug já existe',
            'name.unique' => 'O setor já existe',
        ];
    }
}
